<?php

namespace App\Entity;

use ApiPlatform\Metadata\ApiResource;
use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\GeneratedValue;
use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\Id;
use Symfony\Component\Validator\Constraints\Positive;
use Symfony\Component\Validator\Constraints\PositiveOrZero;

#[ApiResource]
#[Entity]
class LandValue
{
    #[Id]
    #[GeneratedValue]
    #[Column(type: 'integer')]
    protected $identifier;

    #[Column(type: 'date')]
    protected $mutation_date;

    #[Column(type: 'integer')]
    #[Positive]
    protected $mutation_type;

    #[Column(type: 'float')]
    #[PositiveOrZero]
    protected $land_value;

    #[Column(type: 'integer', length: 3)]
    #[Positive]
    protected $department_code;

    #[Column(type: 'integer')]
    #[Positive]
    protected $local_type_code;

    public function getIdentifier(): int
    {
        return $this->identifier;
    }

    public function getMutationDate(): \DateTimeImmutable
    {
        return $this->mutation_date;
    }

    public function getMutationType(): string
    {
        return $this->mutation_type;
    }

    public function getLandValue(): float
    {
        return $this->land_value;
    }

    public function getDepartmentCode(): int
    {
        return $this->department_code;
    }

    public function getLocalTypeCode(): int
    {
        return $this->local_type_code;
    }
}
